# -*- coding: utf-8 -*-
#
# Copyright (C) 2007-2014 Red Hat, Inc.
# Authors:
# Thomas Woerner <twoerner@redhat.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# translation
import locale
try:
    locale.setlocale(locale.LC_ALL, "")
except locale.Error:
    import os
    os.environ['LC_ALL'] = 'C'
    locale.setlocale(locale.LC_ALL, "")

DOMAIN = 'rolekit'
import gettext
gettext.install(domain=DOMAIN)

# configuration
DAEMON_NAME = 'rolekit'
DATADIR = '/usr/share/' + DAEMON_NAME

ROLEKIT_VERSION = "0.3.2"

ETC_ROLEKIT = '/etc/rolekit'
ETC_ROLEKIT_ROLES = ETC_ROLEKIT + '/roles'

USR_LIB_ROLEKIT = '/usr/lib/rolekit'
ROLEKIT_ROLES = USR_LIB_ROLEKIT + '/roles'

ROLEKIT_LOGFILE = '/var/log/rolekit'

# systemd paths
SYSTEMD_UNITS = "/etc/systemd/system"
# Supported systemd dependency types
SYSTEMD_DEPS = ['Wants', 'Requires', 'Before', 'After',
                'RequiredBy', 'Requisite', 'BindsTo',
                'Conflicts']

# dbus-send
# FIXME: make this a configure.ac check
DBUS_SEND = '/usr/bin/dbus-send'

# persistent states
NASCENT = "nascent"
READY_TO_START = "ready-to-start"
RUNNING = "running"
ERROR = "error"

# transitional states
DEPLOYING = "deploying"
REDEPLOYING = "redeploying"
DECOMMISSIONING = "decommissioning"
STARTING = "starting"
STOPPING = "stopping"
UPDATING = "updating"

PERSISTENT_STATES = [ NASCENT, READY_TO_START, RUNNING, ERROR ]
TRANSITIONAL_STATES = [ DEPLOYING, REDEPLOYING, DECOMMISSIONING,
                        STARTING, STOPPING, UPDATING ]
